讨论 Bug反馈 安装ModStartCMS_Laravel9本出现Rewrite规则错误

安装ModStartCMS_Laravel9本出现Rewrite规则错误

蓝色痕迹 发表于    阅读:518    回复:11

问题描述:

安装ModStartCMS_Laravel9本出现Rewrite规则错误 ,按照网站给出的解决方法处理后,问题依然存在。

环境信息:

PHP版本8.026、系统版本centos7.4(自己nas机上虚拟机搭设的服务器),模块版本ModStartCMS_Laravel9。

复现步骤:

32912_onhn_3519.jpg

32843_2z1d_3698.jpeg

32825_tc0w_4072.jpeg

32799_hryd_5913.jpeg

建议与意见:

等待你们的解答,非常感谢


评论

点开 /install/ping 看页面提示什么。

参照 https://modstart.com/doc/install/qa.html#q-rewrite%E8%A7%84%E5%88%99%E9%94%99%E8%AF%AF 中的步骤解决下。

 

点开install/ping 显示以下内容,Fatal error: Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 8.1.0". You are running 8.0.26. in /var/www/html/mod/vendor/composer/platform_check.php on line 24


我已经按上面的步骤做过了,还是一样的问题呢

 

@ModStart:

点开install/ping 显示以下内容,Fatal error: Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 8.1.0". You are running 8.0.26. in /var/www/html/mod/vendor/composer/platform_check.php on line 24


我已经按上面的步骤做过了,还是一样的问题呢


 

需要PHP8.1.0以上版本,升级一下PHP版本。

 

@ModStart: 前面的检测通过了,你们网站上环境要求不也是8.0就行了吗?

 

Laravel9的要求是8.1,检测的地方有点问题。

 

@ModStart: 升级php到8.1.3版本后出现以下错误:

Warning: require(/var/www/html/mod/vendor/composer/../symfony/polyfill-mbstring/bootstrap.php): Failed to open stream: No such file or directory in /var/www/html/mod/vendor/composer/autoload_real.php on line 78

Fatal error: Uncaught Error: Failed opening required '/var/www/html/mod/vendor/composer/../symfony/polyfill-mbstring/bootstrap.php' (include_path='.:/usr/share/pear:/usr/share/php:/usr/share/pear:/usr/share/php') in /var/www/html/mod/vendor/composer/autoload_real.php:78 Stack trace: #0 /var/www/html/mod/vendor/composer/autoload_real.php(61): composerRequire308896d8923435c0925d7aa5119b7e90() #1 /var/www/html/mod/vendor/autoload.php(7): ComposerAutoloaderInit308896d8923435c0925d7aa5119b7e90::getLoader() #2 /var/www/html/mod/public/index.php(34): require('...') #3 {main} thrown in /var/www/html/mod/vendor/composer/autoload_real.php on line 78

 

@ModStart: 麻烦您帮我看看是什么问题

 

@蓝色痕迹: 这个是文件缺失吧,下载完整的安装包覆盖试试

 

@ModStart: 重新下载后,终于可以了,非常感谢您!!

 

laravel 9  php8.2    install/ping之后出现:

Carbon\Carbon::setLastErrors(): Argument #1 ($lastErrors) must be of type array, bool given, called in /Applications/EasySrv/www/modcms.com/vendor/nesbot/carbon/src/Carbon/Traits/Creator.php on line 98


 
1
我来评论
QQ
微信